<!DOCTYPE html>
<html layout:decorate="~{layout}">
<head>
<meta charset="UTF-8" />
</head>
<body>

	<section class="layout-content" layout:fragment="corpo">
		<nav class="navbar navbar-expand-md bg-light">
			<div class="collapse navbar-collapse" id="navbarsExampleDefault">
				<ul class="navbar-nav mr-auto">
					<li class="nav-item active"><i class="oi oi-caret-right"></i>
						<span>Lista de Cidades</span></li>
				</ul>
			</div>
		</nav>

		<div class="container">

			<p>
				<i class="oi oi-magnifying-glass"></i><span></span>
				<button class="btn btn-primary" type="button" data-toggle="collapse"
					data-target="#collapseNome" aria-controls="collapseNome">Nome
				</button>
				<button class="btn btn-primary" type="button" data-toggle="collapse"
					data-target="#collapseuf" aria-controls="collapseuf">U.F.
					</button>
			</p>
			<div class="row">
				<div class="col">
					<div class="collapse" id="collapseNome">

						<nav class="navbar navbar-light bg-light">
							<form class="form-inline" method="GET"
								th:action="@{/cidade/buscar/nome}">
								<input class="form-control mr-sm-2" type="search"
									placeholder="nome" aria-label="Search" th:name="nome" />
								<button class="btn btn-outline-success my-2 my-sm-0">Search</button>
							</form>
						</nav>

					</div>
				</div>
			</div>
			<div class="row">
				<div class="col">
					<div class="collapse" id="collapseuf">

						<nav class="navbar navbar-light bg-light">
							<form class="form-inline" method="GET"
								th:action="@{/cidade/buscar/uf}">
								<select class="form-control mr-sm-2" th:name="id"
									aria-label="Search">
									<option th:each="uf : ${uflist}" th:value="${uf.id}"
										th:text="${uf.name}">nome Uf</option>
								</select>
								<button class="btn btn-outline-success my-2 my-sm-0">Search</button>
							</form>
						</nav>

					</div>
				</div>
			</div>

			<div class="table-responsive">

				<div th:replace="fragments/alert"></div>

				<table
					class="table table-striped table-hover table-sm table-font-size ">
					<thead>
						<tr>
							<th>#</th>
							<th>Nome</th>
							<th>uf</th>
							<th></th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr th:each="cidade : ${cidades}">
							<td th:text="${cidade.id}"></td>
							<td th:text="${cidade.nome}"></td>
							<td th:text="${cidade.uf.name}"></td>
							<td>
								<a class="btn btn-info btn-sm"
									th:href="@{/cidade/editar/{id} (id=${cidade.id}) }" role="button">
										<span class="oi oi-brush" title="Editar" aria-hidden="true"></span>
								</a>
							</td>
							<td>
								<form class="centerButtons" th:action="@{/cidade/remover}"
									method="POST">
									<input type="hidden" th:name="id" th:value="${cidade.id}" />
									<button type="submit" class="btn btn-danger btn-sm">
										<span class="oi oi-x" title="remover Cidade" aria-hidden="true"></span>
									</button>
								</form>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>

	</section>
</body>
</html>
